/*
uniform float timer;

float rand(vec2 co) { return fract(sin(dot(co.xy, vec2(12.9898, 78.233))) * 43758.5453); }

vec4 Process(vec4 color)
{
	vec2 texCoord = gl_TexCoord[0].st;
	vec2 offset = vec2(0.0,0.0);
	texCoord += offset;
	return getTexel(texCoord) * color + vec4(0,0.03,0,0);
}
*/

uniform float timer;

vec4 Process(vec4 color)
{
    vec2 texCoord = gl_TexCoord[0].st;

    const float pi = 3.14159265358979323846;

    vec2 gridTexCoord = floor(texCoord * 64.0) / 64.0;

    vec2 offset = vec2(
        floor(pi * (gridTexCoord.x * 64.0 + sin(timer) + timer*1.1)) / 64.0,
        floor(pi * (gridTexCoord.y * 64.0 + sin(timer) + timer*1.1)) / 64.0
    );

    vec2 texCoordWithOffset = gridTexCoord + offset;

    return ( (getTexel(texCoordWithOffset)+ vec4(0.0, 0.13, 0.0, 0.0)) *0.3+getTexel(texCoord)*0.7 ) * color ;
}





